.edit-header{
    border-bottom: 3px solid rgb(244, 67, 54);
    border-top: 3px solid rgb(244, 67, 54);
    padding-bottom: 10px;
    padding-top: 10px;
    padding-left: 20px;
    padding-right: 20px;
    font-size: x-large;
}

.div-flex{
    display: flex;
}

.menu{
    margin-right: 0px;
    /*margin-left: auto;*/
    margin-top: auto;
    margin-bottom: auto;
    font-size: 25px;
    cursor: pointer;
}

.menu div {
    width: 35px;
    height: 5px;
    background-color: rgb(30, 30, 30);
    margin: 6px 0;
    border-radius: 10px;
}

.menu a{
    padding: 0px;
    margin: 0px;
}

.bar1, .bar2, .bar3 {
    width: 35px;
    height: 5px;
    background-color: #333;
    margin: 6px 0;
    transition: 0.4s;
}

.change .bar1 {
    -webkit-transform: rotate(-45deg) translate(-9px, 6px);
    transform: rotate(-45deg) translate(-9px, 7px);
}

.change .bar2 {
    opacity: 0;
}

.change .bar3 {
    -webkit-transform: rotate(45deg) translate(-8px, -8px);
    transform: rotate(45deg) translate(-8px, -7px);
}

.scrollable{
    display: none;
}

.xxl-bubble{
    background-color: white;
    padding-top: 2px;
    padding-bottom: 0.5cm;
    padding-left: 50px;
    padding-right: 50px;
    border-radius: 50px;
    max-width: 25cm;
    max-height: auto;
    margin-top: 1cm;
    margin-left: auto;
    margin-right: auto;
    -webkit-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    -moz-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
}

.l-bubble{
    background-color: white;
    padding-top: 0.5cm;
    padding-bottom: 0.5cm;
    padding-left: 50px;
    padding-right: 50px;
    border-radius: 50px;
    width: 7.75cm;
    height: 7.75cm;
    margin-top: 1cm;
    /*margin-left: auto;
    margin-right: auto;*/
    -webkit-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    -moz-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
}

@media only screen and (min-width: 830px){
    .left-right-bubble{
        display: flex;
    }

    .l-bubble-left{
        background-color: white;
        padding-top: 0.5cm;
        padding-bottom: 0.5cm;
        padding-left: 50px;
        padding-right: 50px;
        border-radius: 50px;
        width: 7.75cm;
        max-height: auto;
        margin-left: auto; 
        margin-right: 100px;
        margin-top: 1cm;
        /*margin-left: auto;
        margin-right: auto;*/
        -webkit-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
        -moz-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
        box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    }
    
    .l-bubble-right{
        background-color: white;
        padding-top: 0.5cm;
        padding-bottom: 0.5cm;
        padding-left: 50px;
        padding-right: 50px;
        border-radius: 50px;
        width: 7.75cm;
        max-height: auto;
        margin-right: auto;
        margin-left: 100px;
        margin-top: 1cm;
        /*margin-left: auto;
        margin-right: auto;*/
        -webkit-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
        -moz-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
        box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    }
}

@media only screen and (max-width: 830px){
    .left-right-bubble{
        display: block;
    }

    .l-bubble-left{
        background-color: white;
        padding-top: 0.5cm;
        padding-bottom: 0.5cm;
        padding-left: 50px;
        padding-right: 50px;
        border-radius: 50px;
        width: 7.75cm;
        max-height: auto;
        margin-left: auto; 
        margin-right: auto;
        margin-top: 1cm;
        /*margin-left: auto;
        margin-right: auto;*/
        -webkit-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
        -moz-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
        box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    }
    
    .l-bubble-right{
        background-color: white;
        padding-top: 0.5cm;
        padding-bottom: 0.5cm;
        padding-left: 50px;
        padding-right: 50px;
        border-radius: 50px;
        width: 7.75cm;
        max-height: auto;
        margin-right: auto;
        margin-left: auto;
        margin-top: 1cm;
        /*margin-left: auto;
        margin-right: auto;*/
        -webkit-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
        -moz-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
        box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    }
}

.xxl-bubble .update-progress{
    font-size: x-large;
}

.l-bubble .update-progress{
    font-size: larger;
    margin: 0.25cm;
}

.l-bubble-left .update-progress{
    font-size: larger;
    margin: 0.25cm;
}

.l-bubble-right .update-progress{
    font-size: larger;
    margin: 0.25cm;
}

.update-bar[value]{
    -webkit-appearance: none;
    appearance: none;
    width: 100%;
}

.update-bar-bg{
    height: 20px;
    background-color: rgb(231, 231, 231);
    border-radius: 10px; 
    background-size: 35px 20px, 100% 100%, 100% 100%;
    -webkit-animation: animate-stripes 1.5s linear infinite;
    animation: animate-stripes 1.5s linear infinite;
}

.update-bar-value{
    height: 20px;
    background-image:
	   -webkit-linear-gradient(-45deg, 
	                           transparent 33%, rgba(0, 0, 0, .1) 33%, 
	                           rgba(0,0, 0, .1) 66%, transparent 66%),
	   -webkit-linear-gradient(top, 
	                           rgba(255, 255, 255, .25), 
	                           rgba(0, 0, 0, .25)),
	   -webkit-linear-gradient(left, rgb(255, 196, 0), rgb(255, 196, 0));

    border-radius: 10px; 
    background-size: 35px 20px, 100% 100%, 100% 100%;
    -webkit-animation: animate-stripes 1.5s linear infinite;
    animation: animate-stripes 1.5s linear infinite;
}

.update-bar[value]::-moz-progress-bar{
    background-image:
	   -webkit-linear-gradient(-45deg, 
	                           transparent 33%, rgba(0, 0, 0, .1) 33%, 
	                           rgba(0,0, 0, .1) 66%, transparent 66%),
	   -webkit-linear-gradient(top, 
	                           rgba(255, 255, 255, .25), 
	                           rgba(0, 0, 0, .25)),
	   -webkit-linear-gradient(left, rgb(255, 196, 0), rgb(255, 196, 0));

    border-radius: 10px; 
    background-size: 35px 20px, 100% 100%, 100% 100%;
    -webkit-animation: animate-stripes 1.5s linear infinite;
    animation: animate-stripes 1.5s linear infinite;
}

@-webkit-keyframes animate-stripes {
    100% { background-position: -105px 0px; }
}

@keyframes animate-stripes {
    100% { background-position: -105px 0px; }
}

.mySlides {display: none;}
img {vertical-align: middle;}

/* Slideshow container */
.slideshow-container {
  max-width: 1370px;
  max-height: 400px;
  height: auto;
  position: relative;
  margin: auto;
  background-color: black;
}

/* Caption text */
.text {
  color: white;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.25);
  text-align: center;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  margin: 8px 12px;
  padding: 2px 6px;
  position: absolute;
  background-color: rgba(0, 0, 0, 0.25);
  border-radius: 10px;
  top: 0;
}

.versionNote{
    color: white;
    font-size: 15px;
    padding: 1px 15px;
    position: absolute;
    background-color: rgba(0, 0, 0, 0.25);
    top: 49;
    right: 0;
}

.titleNote {
    color: white;
    font-size: 22px;
    padding: 8px 12px;
    position: absolute;
    background-color: rgba(0, 0, 0, 0.25);
    top: 0;
    right: 0;
}

/* The dots/bullets/indicators */
.dot {
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.dotactive {
  background-color: #717171;
}

/* Fading animation */
.fade {
  -webkit-animation-name: fade;
  -webkit-animation-duration: 1.5s;
  animation-name: fade;
  animation-duration: 1.5s;
}

@-webkit-keyframes fade {
  from {opacity: .4} 
  to {opacity: 1}
}

@keyframes fade {
  from {opacity: .4} 
  to {opacity: 1}
}

/* On smaller screens, decrease text size */
@media only screen and (max-width: 300px) {
  .text {font-size: 11px}
}

.justify_right{
    justify-content: right;
}
   
.flip {
    transform: rotate(-180deg);
}

@media only screen and (min-width: 1035px){
    .two-bubbles{
        display: flex;
        justify-content: space-between;
        margin-left: 200px;
        margin-right: 200px;
    }

    .css00001{
        display: block;
        position: relative;
        left :0;
        right: 0;
        top: 0;
        bottom: 0;
        float: left;
        margin-right: 5px;
        margin-bottom: 15px;
        transition: all 0.4s;
    }
}

@media only screen and (max-width: 1035px){

    .css00001{
        margin-left: auto;
        margin-right: auto;
    }
    
}

.factions{
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.factions img{
    height: 2.5cm;
    width: 2.5cm;
    margin: 0px;
}

.rep{
    border-top-left-radius: 100px;
}

.emp{
    border-top-right-radius: 100px;
}

.reb{
    border-bottom-right-radius: 100px;
}

.sep{
	  border-bottom-left-radius: 50px;
}

.ability{
    margin-bottom: 15px;
}

.ability span{
    margin-left: 10px;
    font-size: 20px;
}

.ability img{
    width: 25px;
    height: auto;
}

.login{
    max-width: 500px;
    margin-left: auto;
    margin-right: auto;
    background-color: white;
    padding-top: 0.5cm;
    padding-bottom: 0.5cm;
    padding-left: 50px;
    padding-right: 50px;
    border-radius: 50px;
    margin-top: 1cm;
    -webkit-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    -moz-box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
}

.login .buttons{
    margin-top: 20px;
    display: flex;
    justify-content: space-between;
}

.form-title{
    font-size: xx-large;
    text-align: center;
    margin: 5px;
    padding: 0px;
    border-bottom: 1px solid rgb(185, 185, 185);
}

.form-title .subtitle{
    font-size: 12px;
    margin-bottom: 5px;
}

.divider{
    height: 1px;
    width: 100%;
    background-color: rgb(185, 185, 185);
    margin: 0px;
    padding: 0px;
}

.unitNameInput:focus{
    border-bottom: none!important;
    box-shadow: none!important;
}

.unitCardTextArea{
    background-color: rgb(250, 250, 250);
    border: solid rgb(230, 230, 230) 1px;
    border-radius: 4px;
    margin: 0px;
    padding: 4px 8px 4px 8px;
    resize: none;
    height: auto;
    margin-top: 10px;
    margin-bottom: 10px;
    overflow: hidden;
    transition: border 250ms, background-color 250ms;
}

.unitCardTextArea:hover {
    border: solid hsl(4, 0%, 80%) 1px;
}

.unitCardTextArea:focus {
    border: solid hsl(4, 0%, 80%) 1px;
    background-color: hsl(4, 0%, 97%);
    outline: none;
}

.unitCardTextArea::placeholder{
    color: rgba(0,0,0,0.7);
}